Menus - The SWORD Project for Windows Help

Menu Help

File Menu

From the File Menu you can, open a verse list, save the current layout or print text.

Select New Verse List to open a new verse list window. From that window you can open a saved verse list. See [Verse List Window]
To save the current sizes and positions of the windows click on Save Layout (no menu or confirmation will be displayed).
Use the Print option to print text from Modules.

Edit Menu

From the Edit Menu you can copy selected text to the Windows clipboard by clicking on Copy (same as pressing Ctrl-c, no menu or confirmation will be displayed).

Options Menu

From the Options Menu you can bring up the Preferences Window or change settings for whether certain types of information, from some modules, are displayed.

To display the Preferences Window click on Preferences. For help with the Preferences Window see [Preferences Window]

Which options are listed, and how they work, will depend on which modules are installed. If no modules are installed that use options then no options will be listed. Among the possible options are: Footnotes, Strong's Numbers, Morphological Tags and Transliteration. Information, such as, Footnotes, Strong's Numbers and Morphological Tags are generally displayed inside some form of parentheses or brackets and/or in a different font from the main text. For most types of information the only options are "Off" and "On". One information type that has other options is, Transliteration.

Transliteration changes a text, from the script that would be displayed, into a transliteration of it. If the text was Greek, an alpha would become an "A" or "a", and a beta would become a "B" or "b". This is useful when documents are prepared for sharing with others that may not be able to display the native script. For posting to a newsgroup or an email list, a transliteration is often the standard format. Transliteration works for Greek, Hebrew and many other languages. Use the Transliteration option to select the type of transliteration or to turn off transliteration.

Search Menu

From the Search Menu you can click on New Search Window to bring up the Search Window. For help on the Search Window see [Search Window].

Tools Menu

From the Tools Menu you can select and run Install Manager to install and update modules for The SWORD Project for Windows. For help on the Install Manager see [Installing with Install Manager].

Help Menu

From the Help Menu you can get to these pages by clicking on Contents. By clicking on About you can view additional information about The SWORD Project for Windows and CrossWire Bible Society. Clicking on Devotional of the Day will display the entry from the Default Devotional for the current day. See [Daily Devotionals]


Preferences Window - The SWORD Project for Windows Help

Preferences Window Help

Tabs

The Preferences Window has three tabs, General, Special Modules. and Display.

General Tab

Autosave Bookmarks

If the Save Personal Bookmarks check box is checked new personal bookmarks will be saved for future use. If the Save Other Bookmarks check box is checked, new bookmarks in bookmark sets other than Personal will be saved for future use. If a check box is not checked the corresponding bookmarks will be lost when the program is closed.

Hint Pop-ups

Check the Show Hint Pop-up box if you want hints. Hint Pop-ups display information that pops-up when the mouse is over an item the information relates to.

Check the Show Lexicon Lookup Over Strong's Numbers box if you want definitions for Strong's numbers to display as hint pop-ups when the mouse cursor is on a Strong's number.

Check the Show Preview Over Verse Lists box if you want Verses to pop-up when the mouse cursor is over a verse list.

Check the Show Glossary Lookup Over Words (CTRL-W) box if you want tranlations for words in another language to pop-up when the mouse cursor is over a word. Or, use the keys CTRL-W to toggle this option. (Glossaries provide translations or short definitions for words)

Language

Click the dropdown button to select a language.

Autosave Screen Layout

Place a check mark in the Save Screen Layout box to have the layout saved on exit. The locations and sizes of the windows and panels will be save when exiting and used the next time the program is loaded.

Special Modules Tab

Original Language Support - Default Modules

Use the dropdown lists to select the default modules to be used for dictionary lookup when a Strong's number or a parsing number is selected for lookup. Also, select the Bible text that support Strong's numbers.

Daily Devotionals

If you have Daily Devotional modules installed you can select one as the default by using the Default Devotional Dropdown List. The current day's default daily devotional will be displayed at startup, if Show Devotionals Splash Screen on Startup is checked. The current day's Default Devotional can also be displayed by using the Devotional of the Day option of the Help Menu. All Daily Devotionals can be displayed in the dictionary window, if Show Devotionals as Dictionaries is checked. Then the selection tabs for the devotionals will be included with the tabs for dictionaries. The word list panel shows dates instead of words when a daily devotional module is displayed. To view an entry for a date, enter the date in the Dictionary Key or click on the date in the Word List.

Default General Dictionary

Use the Default General Dictionary selection list to set a dictionary for use with automatic dictionary lookups.

Glossaries

Check the Show Glossaries as Dictionaries box if you want to view glossaries in the dictionary window. (Glossaries provide translations or short definitions for words)

Display Tab

Use these display controls to customize the display of texts.

Schemes

Use the dropdown button of the Scheme Control to display a list of scheme names. A scheme can be chosen by clicking on a name. A scheme is a set of all the settings for: Text Fonts, font, foreground and background colors and size; Verse Number Color; Current Verse Color; and Combo/Edit Fields color. Selecting a scheme and clicking OK will cause the settings of that scheme to be load the next time The SWORD Project for Windows is loaded.

File Control

Use the File Control button to Save, Delete, Import, or Export schemes.

Module Type

Use the dropdown button of the Module Type Control to select the module type that changes in Text Font will be applied to. For example: selecting Bible Moldules will limit changes in Text Font settings to Bible Modules, which are what is displayed in the Bible window.

Text Font

Click the Text Font button to make changes in settings for font, font size, background color and foreground color.

Verse Number Color

The Verse Number Color setting controls the color of verse numbers in Bible modules and for the current verse number in commentary modules. It does not change the color of other verse references in commentary text.

Current Verse Color

The Current Verse Color setting controls the color of the current verse in Bible modules. If the Current Verse Color Check Box is unchecked the current verse will be the same as other verses.

Combo/Edit Fields

The Combo/Edit Fields setting controls the color of fields for current verse and dictionary lookup.

Strong's Numbers <...>

The Strong's Numbers <...> setting controls the color of Strong's Numbers.

Strong's Tense (...)

The Strong's Tense (...) setting controls the color of Strong's Tense.

Individual Modules (Font Only)

The Individual Modules (Font Only) controls the font for individual Modules.

The View Menu provides options to display all installed modules or just those that contain Unicode characters. Click on a plus sign to open up that section of the module tree. Click on a module to change. Select a font from the font dropdown list then click the OK button. Click the Reset ALL button to reset all modules to their defaults.

NOTE:Unicode support varies with different versions of Windows. Newer versions have better support. Also, the source of the Unicode font also makes a difference in the quality of the Unicode support. One font may be better with some languages while another font is better for others.

Color Window

In the color window click on the color you want and then click on OK.

Preview

The Prewiew displays how changes to the settings will be displayed. If the preview display is acceptable click OK. The SWORD Project for Windows must be restarted before the new settings will take effect. Click Cancel to abort changes.


Tools - The SWORD Project for Windows Help

Tools Help

Back Arrow

The Back Arrow works like a Back Arrow on a web browser. Clicking on the Back Arrow will change what is displayed in the Bible and commentary windows to what was in them before the last set of text was loaded into those windows. Example: James 1:19 is displayed in the Bible window and the commentary window is displaying a comment on James 1:19; then a bookmark to John 3:16 is used and the Bible window displays John 3:16 and the commentary window displays a comment on John 3:16; then clicking on the Back Arrow will reload the text for James 1:19 for the Bible and commentary windows.

Search

Clicking on the Search Tool, (or using the F3 key as a shortcut), will display the Search Window - see [Search Window]

Verse lookup controls

There are two ways to directly go to a verse.

  • Book Drop Down Button, Chapter and Verse Spin Buttons and Check Mark Button.
  • Freehand Verse Key

Clicking on the Book Drop Down Button will display a menu list of the books of the Bible. Clicking on a book in the list will load the text starting at verse one, chapter one, for that book. Clicking on a Chapter or Verse Spin Buttons will change the current verse forward or backward a chapter or verse. Clicking the Check Mark Button will bring the display back to the verse referenced by these fields if the display has scrolled away from it.

To use the Freehand Verse Key, select (click) the key's field and enter a verse references in the field. The current verse will change to that verse. References may use the full name of the book or an abbreviation of the name. Some books may be abbreviated by as few as one letter. "Genesis", "gen", "Ge" and "g" all work as references to Genesis. Care must be taken where more than one book starts with the same letters. "G" works for Genesis and not Galatians. If a book is indicated Chapter and verse numbers are optional. Space between the book name and the chapter number is optional. If a chapter number is used the verse number is optional. If chapter and verse numbers are included, a colon must separate the chapter and verse numbers. If no book is indicated and only one number given it will be used as a verse reference in the current book and chapter. Two numbers separated by a colon without a book reference, will be taken as chapter and verse in the current book.

A list of verses can also be entered in the Freehand Verse Key. Entering a list of verses will cause the current verse to become the first in the list and all the verses will be listed in a User Verse List window. When entering a list, separate references to different chapters or books by semicolons. Entering "jn 4:5-8,11;6:12;rev 21:21" will make John 4:5 the current verse and will create a User Verse List window with four entries in it.

Bookmark

The Bookmark feature works like the "bookmark" or "favorites" feature of a web browser. A bookmark saves a reference to a verse, in a bookmark file. By selecting a bookmark, (double click to select), the Bible and commentary windows load the text for the verse referenced by the bookmark. (To save not just the verse reference, but also the Bible version and selected commentary, use the State Marks. See [Key Codes])

Clicking on the Bookmark button displays the following options:

  • Add Bookmark
  • Edit Bookmarks/Tree View
  • Bookmark Files (more than one line)

Selecting Add Bookmark will add a reference to the current verse to the Personal bookmarks file. Selecting one of the bookmark files will expand the view of that file so you can select a topic to expand or select a verse to display.

Selecting Edit Bookmarks/Tree View will display the Bookmarks window with a Tree View of the bookmark files, topics and verse references. Clicking on a plus sign will expand the tree at that point. Clicking on a minus sign will collapse the tree at that point. Double clicking on a file or topic will toggle the expanded view on and off at that point in the tree.

Right clicking in the Bookmarks window will display the following options:

  • Add Child
  • Delete
  • Rename
  • New Bookmark File

Selecting Add Child will add a topic, named "New Topic," below the place in the tree that is highlighted. You can change the name to your topic or enter a verse reference. By selecting Delete the highlighted item in the tree will be deleted. Selecting Rename allows the renaming of the highlighted item in the tree. Selecting New Bookmark File allows the creation of a new bookmark file, and opens the Add New Bookmark File Window, with the following fields:

  • File Name (without extension)
  • Bookmark Section Title

Enter the name of the file to be created and a Title for it to be displayed in the bookmark tree.

Note: Use Drag and Drop to move bookmarks and topics from one location in the bookmark tree to another.

Dictionary Key

Entering a word in the Dictionary Key causes a lookup of the word in the current dictionary. If the word is not found the next word after where it would have been is displayed. See [Dictionaries]

Key Codes

The ten State Marks CTRL-[0-9], (press the control key and one of the keys "0" through "9" at the same time), are used to save the state of the current verse, selected Bible version and selected commentary so they can be recalled later by using CTRL-SHIFT-[0-9].


Content windows - The SWORD Project for Windows Help

Content windows Help

The three main window areas, Bible, Commentary and Dictionary, are covered in this section.

Selection Tabs

The selection Tabs at the top of the Bible, Commentary and Dictionary windows provide a way to quickly select which text to view in each window. By clicking on a tab that text will be displayed.

Adding and Removing Selection Tabs

By right clicking on a tab the Hide/Show Modules button will appear. Click the button to hide (remove) an unwanted tab, or to Show a tab that is hidden. Once the button is clicked a list of modules is displayed for the type of module tab clicked. If a Bible tab was clicked a list of Bible modules will be displayed.

For each module there is a box. Modules with check marks will have tabs displayed. Modules without check marks will not have tabs displayed. Click on a box to check or uncheck the box.

Right Click Mouse Menu

To bring up the Right Click Mouse Menu, right click on an item in the text you want to select and produce a menu for. However, if an item is highlighted, it is the selected item and you can right click anywhere in the window it is in and the menu will be for the highlighted item.

Copy will copy highlighted text to the Windows clipboard.

Dictionary Lookup changes the display in the dictionary window for the selected item. If that item is not in the current dictionary the display moves to the item following where that item should have been.

Search For Word will display the Search Window and place the item clicked on into the input field. The item could be a word, phrase or other things, like a Strong's number.

Clicking On References, (Left Click), Mouse Menu

Clicking, with the left mouse button, on a verse reference, or list of references, that appear as an active link, will produce the same menu as a right click, but, it will add two features to the menu list, a Create Verse List option and a list of References. These features will also appear in the Right Click Mouse Menu if the references are highlighted or contained between "#" and "|". In some cases, these features may not be displayed in the Click Menu and you may need to highlight and use the Right Click Mouse Menu.

Create Verse List opens a verse list window for the verses refered to in the selected text. (A verse list in text may look like an active link, or something like, # Co 2:13-15;Rom 5:18|.) The title bar of the verse list window shows the source of the list. Multiple verse list windows can be open at the same time. Clicking on a verse reference in a verse list window will display the verse in the preview panel of the verse list window. Double clicking on a verse reference will cause the Bible and Commentary windows to display the text for that verse. See [Verse List Window]

References to verses appear in the Mouse Menu if a verse list was the selected text. Selecting one of the verses causes the Bible and Commentary windows to display text for the selected verse.

Bible Window

The Bible window displays text indicated by the Current Verse tools, the selected Bible translation Tab and the window scrollbar. To change the current verse see [Verse Lookup Controls].

The Bible window uses the Right Click Mouse Options. For information on what Bible translation modules are available and how to install them see [Modules].

Commentary and General Book Window

The Commentary Window displays a comment, if one exists, for the verse indicated by the Current Verse selection tools and the commentary indicated by the selected commentary Tab. To see the comment for another verse use the [Verse Lookup Controls] to change the current verse.

The Commentary Window can also display modules in the General Book format. When displaying General Books, changes to the [Verse Lookup Controls] have no effect on the display in the Commentary Window. Instead, General Books are navigated by using the index that appears on the left of the window with General Books.

In addition to the Right Click Mouse Options the Commentary window has the following Extra Right Mouse Options for the Personal Commentary module.

To create or Edit an entry in the Personal Commentary module for the current verse select Edit Entry from the Right Mouse Menu to open a Rich Text Format Editor window. To delete the entry for the current verse select Delete Entry from the Right Mouse Menu.

Multiple Verse (passage) Comments

All the verses of a passage can be linked to the same comment in the Personal Commentary module. Create a comment using Edit Entry for one of the verses and then for each remaining verse make the verse current and then select Link to Comment for Verse and enter the name of the verse with the comment to link to. Parallel verses can also be linked this way, though it is best to avoid mixing passage and parallel comments. A better way to do Parallels and cross-references is to put a verse list in the comment or copy and paste comments.

Making a Verse List (cross-references)

To provide for cross-referencing in the Personal Commentary a verse list, of one or more references, may be placed in the text. Right click on the comment to bring up the comment editor. Then place a pound sign, "#", in the text where the list should go. Follow it with a verse or passage reference. Use semicolons to separate references. End the list with a vertical bar, (shift+"\"). Spaces can be placed after the "#" and semicolons and before the semicolons and vertical bar. The format looks like, #Co 2:13-15;Rom 5:18 |.

Comments can be placed in the list. The format is either a comment followed by a semicolon, or a reference followed by a comment and semicolon. Verse lists with comments look something like. # List from a friend; Co 2:13-15; John 3:16 is famous; Rom 5:18 |

An entire sentence, paragraph or commentary entry can be made as a verse list with comments. Place the pound sign at the beginning and the vertical bar at the end. It is good in this case to be sure there is a semicolon right before and after a reference. The format may look something like this:

# JEREMIAH 22:16;
He judged the cause of the poor and needy; (Compare; Ezekiel 16:49;) then it was well with him: was not this to know me? (See; I John 4:7-8;) saith the LORD. |

You can place multiple verse lists in the same commentary entry. When a verse list in the comment window is right clicked, the Right Click Menu will show the references in the menu. Selecting a reference from the menu will make it the current verse.

Another format for verse lists in the Personal comments is to use <scripRef> and </scripRef> tags, intead of "#" and "|". Using the scripRef tags will allow a verse list to be displayed as an active link. Unlike the "#|" style lists, scripRef style list produce a reference menu with a left click intead of a right click. To use the scripRef tags you must have a line in the file personal.conf, that says,"SourceType=ThML". The personal.conf file is usually located in the mods.d folder, which is in "The SWORD Project" folder. The personal.conf file can be edited with a text editor such as Notepad.

ScripRef lists can be embedded in #| verse lists. If you then click on an embedded scripRef list you will only see references from the scripRef list in the menu. However, if you right click on any other part of the #| list you will see all the references in the menu from the #| verse list, including all the references in any embedded scripRef lists. The format looks something like:

# JEREMIAH 22:16;
He judged the cause of the poor and needy; (Compare; <scripRef> Ezekiel 16:49</scripRef> ;) then it was well with him: was not this to know me? (See; <scripRef> I John 4:7-8</scripRef> ;) saith the LORD. |

Dictionary, Lexicon and Glossary Window

The Dictionary Window is used to display dictionaries, (a collection of words of a language and definitions also in that language, such as Websters), Lexicons, (a collection of words of Biblical Languages and definitions in another language, such as Thayer), and Glossaries, (a collection of words of a language and short definitions, glosses, or word equivalents in another language, such as a Spanish to English glossary).

There are two ways to look up the definition of a word--using the Right Click Menu or the Dictionary Key.

To look up the definition of a word in a Bible, Commentary or Dictionary window right click on the word to bring up the Right Click Menu and select Dictionary Lookup. The word will then be displayed in the Dictionary Key and the Word List will scroll to the place in the list where the word should be. If the word exists in the selected dictionary, the definition for it will be displayed. If the word does not exist in the selected dictionary, the definition for the word following where the word would have been is displayed.

To look up the definition of a word by using the Dictionary Key, just enter the word into the Dictionary Key. The word list will scroll through the word list for the selected dictionary as you type the word. If the word does not exist in the selected dictionary, the definition for the word following where the word would have been is displayed.

To change the selected dictionary click on the tab of another dictionary. Use the scroll bar in Dictionary Word List to scroll through the words in the selected dictionary that are in the word list near the Dictionary Key word.


Verse List Window - The SWORD Project for Windows Help

Verse List Window Help

The Verse List Window has three main parts, the Tool Bar, Verse List and the Preview Panel.

Tool Bar Buttons

Click the button with the:

Open Folder icon
to open a previously saved verse list,
Diskette icon
to save the verse list to a file,
Blank Page icon
to add the current verse to the verse list,
Trash Can icon
to delete a highlighted entry in the list, (click on an entry to highlight it),
Page and Clipboard icon
to copy the reference in the Verse List, and the related text from the current module, to the Windows Clipboard,
Page in Printer icon
to print the text of the entries from any module for the verses listed.

Preview a Verse

Click on a verse reference in the verse list to see it displayed in the Preview Panel. The text in the Preview Panel will be from the Bible selected for the Bible Window.

Change Current Verse

Double click on a verse reference in the verse list to have that verse become the Current Verse and have the displays for the Bible and Commentary windows updated to that verse.

SWORD Verse List File .SVL Format

SWORD Verse List Files (.SVL) are ASCII text (.txt) files which are formated as follows: bookname, space, chapter number, colon, verse number, semicolon. If no verse number is given, verse one is listed. If a range is given it will be used as if only the reference for the first verse in the range was given. Entries in the file are seperated by a space or a return. Extra spaces and returns are ignored. Any text that is not recongnized as a verse is ignored with all the text remaining to the next semicolon. The order of entries in the file is the order the entries will be displayed in. You can view, edit, combine and sort the files in any program that will save to a text file and keep the .SVL extension.

NOTE: more than one Verse List Window can be open at the same time. If one is hidden by another, drag and drop the top one out of the way. (Put the mouse cursor on the title bar and press and hold the left mouse button and then move the mouse while pressing the button.)


Command Line Parameter Help

Command Line Verse Reference Parameter

The SWORD Project for Windows, accepts a command line parameter to determine which verse is displayed at startup. The parameter can be passed by using the Windows Start Button Run option, or, in a shortcut, or, by a link in a document. The most useful of the three is linking in a document. The complete format is: //module/book chapter:verse. It looks something like: //KJV/Romans 5:6. This can be shortened to: book chapter:verse.

NOTE: At the time of this writing the module reference is ignored and the current, or last used, bible module is the one the verse is displayed in. You may include the module reference for future support.

Start Button Verse Reference Parameter

For the Start Button, Run option, you can enter the parameter for Romans 5:6 in any of the following ways:

sword://KJV/Romans 5:6
sword://KJV/Ro 5:6
sword:/Romans 5:6
sword "Romans 5:6"
sword Romans 5:6
sword ro 5:6

Shortcut Verse Reference Parameter

You can use the parameter in a shortcut to force the display of a certain, or favorite, verse at startup. Simply create a shortcut to sword.exe in the usual way. (Sword.exe is usually located in The SWORD Project folder). Right click on the shortcut and select Properties. You will see an item called Target, which will look something like:
"C:\The SWORD Project\sword.exe".
Change that to something like one of the following:

"C:\Bible\The SWORD Project\sword.exe" "Romans 5:6"
"C:\Bible\The SWORD Project\sword.exe" romans 5:6
"C:\Bible\The SWORD Project\sword.exe" Ro 5:6

Link Verse Reference Parameter

From an HTML document, the following line will provide a link that will run The SWORD Project for Windows.
<a href="sword:">The SWORD Project for Windows</a>
To cause The SWORD Project for Windows to display a specific, verse change that line to something like one of the following:

<a href="sword://KJV/Romans 5:6">My verse</a>
<a href="sword:/Romans 5:6">Click here!</a>
<a href="sword:/Ro 5:6">See Romans 5:6</a>

Which would be displayed as:

My verse
Click here!
See Romans 5:6

NOTE: If The SWORD Project for Windows is not running a link will cause it to run and display the indicated verse. If it is already running it will not cause another instance of it to run, but will cause the instance already running to display the indicated verse. If it is already running you may need to click the button for it, on the Windows Task Bar, to give it focus so it will come into view.


Searches - The SWORD Project for Windows Help

Search Window help

Searching

The search window allows searching the current Bible, commentary or dictionary, whichever module had the cursor in it before displaying the search window. The name of the current module to be searched is displayed next to the Module Selection Button.

Module Selection Button

To select a different module to be searched, click on the Module Selection Button to open a list of modules to select from.
Click on a module in the Module Selection List to select a module to be search. Click on a plus sign to expand the list, or on a minus sign to collapse the list.

Input Field

Enter one or more words, or partial words, (separate words, or partials, with a space), a phrase, or pattern (Regular Expression) to search for. How the data entered in the Input Field is used will depend on which button is marked for Mult, Phrase and Regular Expression, and also if Case Sensitive is marked.

NOTE: Searching a module that uses a Unicode font may cause question marks and boxes to appear in the Input Field when Unicode characters are entered. For the input to display correctly and for the search to work, try the following: Click on the Options Menu and select Preferences and the Display Tab. Click on the Select Font button for Individual Modules (Font Only). Select an appropriate Unicode font for the module. Unicode searching still may not work on some systems. This is an area the SWORD Project is working on and would appreciate your feedback of which combinations of OSs, modules and Unicode fonts work and don't work.

Case Sensitive

Click on the Case Sensitive check box to toggle case sensitivity on or off. If the box is marked a search will only find verse in which the found text matches also the case of the text in the input field. If the box is unmarked the search will match if the texts match but are different in case. To locate "LORD" but not "Lord" or "lord" mark the check box. To let "LORD" and "Lord" match "lord" leave the check box unmarked.

Scope

The scope of a search can be set to the Entire Module, the Current Results or a Custom Range.If Entire Module is checked and a search of the KJV Bible module is done for the name, Jesus, 939 matches will result. Then if Current Results is checked and another search is done for the title, Christ, 257 matches from the first 939 matches will remain. Then if Current Results remains checked and another search is done for the title, Lord, 106 matches from the 257 will remain. All the remaining 106 matches will have the name, Jesus, and both the titles, Christ and Lord.

Custom Range

A Custom Range will limit a search to selected books or passages specified by the range. The range can be entered in the Range Field or selected from a list of predefined ranges by using the Custom Range Drop Down Button. A range of mat-john will limit a search to Matthew, Mark, Luke and John. A range can also consist of other ranges separated by semicolons. The range, mar-luk; acts, will limit a search to Mark, Luke and Acts. A range can specify chapters and verses. The range, John 3-John 7:28, will limit a search to part of the book of John, chapters 3 through 6 and chapter 7 through verse 28.

Note: A predefined range can not be used by entering the range name in the Range field. Predefined ranges must be selected from the Custom Range Drop Down list.

Note: When a predefined range is selected from the Custom Range Drop Down list, the name of the range, not the range data, is displayed in the Range Field. If the range, joh; i joh-iii; rev, with the name, John, is selected from the drop down list, only the range name, John, will be displayed in the Range Field, but all five books, John, 1John, 2John, 3John and Revelation will be searched. However, entering the name, John, in the Range Field, without using the drop down list, will cause only the book of John to be searched.

Note: When defining a range with a numbered book like, 2John, it is best to use the Roman numerals for book numbers. Use something like, iij or ii jon or II John for 2John.

Define Custom Range Button

While Scope is set to Custom Range, clicking on the Define Custom Range button will display the Maintain Custom Ranges window, where ranges can be defined, named, edited and saved to a list of predefined ranges. Click on an existing range name to edit that range, or click Add to create a new range. Enter the name for the range in the Range Name field for the range being defined . The name will be added to the list displayed by the Custom Range Drop Down Button. Enter the range data in the Range Text field. As you enter the data in the Range Text field the panel below it will show how the data is being interpreted. Click on Save to save the range, or the information will be lost. To remove a range from the list, click on the name of the range and then click Remove.

Search Button

Click the Search Button to start a search and the last module that had a mouse click will be searched for what was entered in the Input Field.

Create VerseList, Result List and Preview Panel

If any verses or entries match the search input field, they will be listed in the Result panel below the search controls. Selecting an item in the list, by clicking on its reference, will cause the text for it to be displayed in the Preview panel below the Result panel. Double clicking on a reference in the List panel will preview it and cause it to become the current verse for the Bible and Commentary windows. Clicking on, Create VerseList From Result, will create a verselist window from the verses listed in in the Result panel.

Mult Word

If Mult Word is marked the search will locate all lines (or verses) that have all the words, (or partials), listed in the Input Field. The position and order of the words, (or partials), in the line is not a factor. If all the words, (or partials), are in a line, in any order, even separated by other words, the line will be included in the list of found line. A search for "prove cause" will find Gen. 21:25, "And Abraham reproved Abimelech because of a well of water..." This is because a word that is part of another word is considered found if a word containing it is found.

Phrase

If Phrase is marked the search will locate all lines (or verses) that contain what was entered in the input field, exactly as entered, including any spaces. The phrase found does not have to start or end at a word boundary. A search for "now how thou ought" will find 1 Timothy 3:1, "...that thou mayest know how thou oughtest to behave..."

Regular Expression

Regular Expression searches provide a way to do simple or complex searches for strings that match a pattern or set of patterns (branches) separated by vertical bars "|". While a pattern can be built to look for a word or phrase, a simple pattern that consists of a word does not look for only that word but for any place the string of letters that make that word are found. A search for "right" will return verses that contain the word "right", but also "righteous", "righteousness", "unrighteous", "upright" and even "bright". A search for "hall not" is not a search for "hall" AND "not" but for the string "hall not" with a space between the second "l" and the "n". The search for "hall not" will find occurrences of "shall not".

The power of Regular Expressions is in the patterns (or templates) used to define a search. A pattern consists of ordinary characters and some special characters that are used and interpreted by a set of rules. Special characters include .\[^*$?+. Ordinary (or simple) characters are any characters that are not special. The backslash, "\", is used to convert special characters to ordinary and ordinary characters to special.

Example: the pattern "i. love\." will find sentences that end with "his love" or "in love" or "is love" followed by a period. The first period in "i. love\." is a special character that means allow any character in this position. The backslash in "i. love\." means that the period following it is not to be considered a special character, but is an ordinary period.

RE Rules

  • . The period matches any character. See Details
  • * The asterisk matches 0 or more characters of the preceding: set, character or indicated character. See Details
  • + The plus sign matches 1 or more characters of the preceding: set, character or indicated character. See Details
  • ? The question mark matches 0 or 1 character of the preceding: set, character or indicated character. See Details
  • {} Squiggly brackets contain a number which specifies an exact number of the previous character. See Details
  • ( ) Parentheses enclose expressions for grouping. Not supported!
  • [] Square brackets match any one of the characters specified inside []. See Details
  • ^ A caret as the first character inside [] means NOT. See Details
  • ^ A caret beginning a pattern anchors the beginning of a line. See Details
  • $ A dollar at the end of a pattern anchors the end of a line. See Details
  • | A vertical bar means logical OR. See Details
  • \ A backslash can be used prior to any special character to match that character. See Details
  • \ A backslash can be used prior to an ordinary character to make it a special character. See Details
    • \< represents the start of a word.. See Details
    • \> represents the end of a word. See Details
    • \b if use outside [] means word boundary. If used inside [] means backspace. See Details
    • \B means non-word boundary. See Details
    • \d means digit; same as [0-9].
    • \D means non-digit, same as [^0-9].
    • \s means space.
    • \S means not a space.
    • \w means alphanumeric; same as [a-zA-Z0-9_].
    • \W means not alphanumeric; same as [^a-zA-Z0-9_].

The Period .

The Period "." will match any single character even a space or other non-alphabet character.
s.t matches sit, set, sot, etc., which could be located in sitting, compasseth and sottish
b..t matches boot, boat and beat
foot.tool matches footstool and foot tool

The Asterisk *

The asterisk matches zero or more characters of the preceding: set, character or indicated character. Using a period asterisk combination ".*" after a commonly found pattern can cause the search to take a very long time, making the program seem to freeze.
be*n matches beeen, been, ben, and bn which could locate Reuben and Shebna.

The Plus Sign +

The Plus Sign matches one or more characters of the preceding: set, character or indicated character. Using a period and plus sign combination ".+" after a commonly found pattern can cause the search to take a very long time, making the program seem to freeze.
be+n matches beeen, been and ben, but not bn.

The Question Mark ?

The Question Mark matches zero or one character of the preceding: set, character or indicated character.
be?n matches ben and bn but not been.
trees? matches trees or tree.

The Parentheses ( )

The use of Parentheses ( ) is not supported!

The Squiggly Brackets { }

Squiggly brackets {} contain a number which specifies an exact number of the preceding: set, character or indicated character to match. a{2} matches Aaron and Canaan. [ak]{2} matches Aaron, Canaan, take, Kadesh and Habakkuk.

The Square Brackets [ ]

The Square Brackets enclose a set of characters that can match. The period, asterisk, plus sign and question mark are not special inside the brackets. A minus sign can be used to indicate a range. If you want a caret "^" to be part of the range do not place it first after the left bracket or it will be a special character. To include a "]" in the set make it the first (or second after a special "^") character in the set. To include a minus sign in the set make it the first (or second after a special "^") or last character in the set.
s[eia]t matches set, sit, and sat, but not sot.
s[eia]+t matches as above but also, seat, seet, siet, etc.
[a-d] matches a, b, c, or d.
[A-Z] matches any uppercase letter.
[.;:?!] matches ., ;, :, ?, or ! but not a comma.
[]^-] matches ] or ^ or -

The Caret first in Square Brackets [^xxx]

If the Caret is the first character after the left bracket it means NOT.
s[^io]t matches set, sat, etc., but not sit and sot.

The Caret as Start of Line Anchor ^xxx

If the Caret is the first character in a pattern it anchors the pattern to the start of a line. Any match must be at the beginning of a line. Because of unfiltered formatting characters in some texts, this feature does not always work, but may if a few periods are placed after the caret to account for the formatting characters.
^In the beginning matches lines that start with "In the beginning". (May need to use: ^.....In the beginning)

The Dollar Sign as End of Line Anchor xxx$

If the Dollar Sign is the last character in a pattern it anchors the pattern to the end of a line. Any match must be at the end of a line. Because of unfiltered formatting characters in some texts, this feature does not always work, but may if a few periods are placed before the dollar sign to account for the formatting characters.
Amen\.$ matches lines that end with "Amen." (May need to use Amen\....$, Amen\..........$, or even Amen\....................$)

The Vertical Bar |

The Vertical Bar between patterns means OR.
John|Peter matches John or Peter.
John .*Peter|Peter .*John matches John ... Peter or Peter ... John. (.* slows a search)
pain|suffering|sorrow matches pain, or suffering, or sorrow.

The Backslash Prior to a Special Character \*

The Backslash prior to a special character indicates that the character is not being used in its special meaning, but is just to match itself.
amen\. matches amen. but not ament and will not locate firmament.

The Backslash Prior to an Ordinary Character \s

The Backslash prior to an ordinary character indicates that the character is not being used to match itself, but has special meaning.

  • \< means start of a word. Similar to \b at the start of a word.
  • \> means end of a word. Similar to \b at the end of a word.
  • \b if used outside [] means word boundary. If used inside [] means backspace. \brighteous\b matches righteous but not unrighteous or righteousness
  • \B means non-word boundary.\Brighteous\B matches unrighteousness and unrighteously but not righteous, unrighteous or righteousness.
  • \d means digit; same as [0-9].
  • \D means non-digit, same as [^0-9].
  • \s means space.
  • \S means not a space.
  • \w means alphanumeric; same as [a-zA-Z0-9_].
  • \W means not alphanumeric; same as [^a-zA-Z0-9_].
    •


How To Search - The SWORD Project for Windows Help

How To Search

How to Search

To understand searching in the The SWORD Project for Windows, it is important to understand that all searches are based on string searches not word searches. Mult Word, Phrase and Regular Expression searches are really string searches at heart. A string search will not miss any targets of the true word search, but may hit where the true word search would not. A true word search of the KJV for the word "christ" will not hit on I John 2:18, but a string search will because the string "christ" is a part of the words "antichrist" and "antichrists." A string can be a character, part of a word, word, part of a phrase, or phrase. A string can start and end anywhere in a phrase. It can start in any part of one word and end in the same word or any part of another word.

How to Make a String into a Word

If you want to search for a word and not get hits where the word is a substring of other words, there are ways to modify the search string so it will only hit on the word.

If you know you are looking for places where the word is in the middle of a phrase, you can add a space to the beginning and end of the word. Then follow the steps below for searching for a string with spaces. Instead of searching for "word", search for " word ", (notice the added spaces before and after).

If the word is located at the beginning or end of a line, verse or phrase, you will have to use the Regular Expression search. Add "\<" or "\b" to the beginning of the string. Add "\>" or "\b" to the end of the string. Instead of searching for "word" search for "\<word\>" or "\bword\b". The "\"s are used to convert the <, > and "b" from being "ordinary" characters to special.

Simple Search for a String with No Spaces

Any of the search types will produce the same results when searching for a simple string with no spaces. The best choice is Mult Word Search. Just enter the search string in the text box and click on the search button. (For Regular Expression the string must not include "special" characters or you will need to convert them to ordinary). Check mark the Case Sensitive check box first if case is important.

Simple Search for a String with Spaces

Either Phrase or Regular Expression will work. The best choice is the Phrase Search. Just enter the search string in the text box and click on the search button. (For Regular Expression the string must not include "special" characters or you will need to convert them to ordinary). Check mark the Case Sensitive check box first if case is important.

Search for ALL of Two or more Strings with No Spaces (Logical AND)

Select Mult Word Search. Enter the strings in the text box separated by spaces. Click on the search button. Check mark the Case Sensitive check box first if case is important.

Search for ALL of Two or more Strings with Spaces (Logical AND)

Step 1 - Select Phrase Search and check mark the Case Sensitive check box if case is important.
Step 2 - Enter the first string in the text box and click on the search button.
Step 3 - Click the Current Results button
Step 4 - Repeat Step 2 for each remaining string.

Search for ANY of Two or more Strings (Logical OR)

Select Regular Expression Search. Enter the strings in the text box with a vertical bar (shift+"\") between strings. Do not place any extra spaces with the vertical bar. Check mark the Case Sensitive check box first if case is important. (The string must not include "special" characters or you will need to convert them to ordinary).

Note: Searching for Strong's Numbers

To find the Greek word "agape" enter the Strong's number for agape, <26>, in the Input Field. The angle brackets, <> mark the beginning and end of a Strong's number, and are needed to limit the search from finding other numbers. The Hebrew numbers have a zero prefixed to them. The Strong's number, <026>, is the Hebrew word for "Abigail". To search for Strong's numbers you need a module that has the numbers in the text, such as the KJV with Strong's numbers. Not all Bible modules have the numbers. You may also need to toggle Strong's Numbers on in the Options Window.


Modules - The SWORD Project for Windows Help

Modules Help

Locked Modules

Locked Modules need a key to work. If you do not have the key for a locked module do not install it. If an installed module does not display correctly, and is completely unreadable, it may be a locked module and can not be read without the key. Because of copyrights and licensing restrictions, Some modules must be locked to protected them from unpermitted copying.

Adding and Updating Modules

New modules can be added and old modules can be updated at any time. The source for the new or updated modules could be a CD, hard drive or a site on the internet. There are Three ways to transfer and install the modules. The best way is with Install Manager. Another way is to manually download Self-Installing Zip Files and run the included setup program. One more way, which is not recomended, is to manually download RAW Zip files, and manually place the files where they need to go.

For selecting, downloading and installing modules, it is recommended that you use the Install Manager.

Installing with Install Manager

The Install Manager can be used to find and install new or updated modules, and to uninstall modules. Install Manager checks a source for modules and displays in the Available List the modules on the source that have not been installed or have an update. In the Installed List, it lists all modules that have been installed.

The source can be a remote FTP site or a local path, such as a CD or network drive. Use the Options Menu to set the local source path and/or configure the remote sites. To set a local path, use the Local Path option to browse to the location of the installmgr.sh file then select that file and click open. Often, the path is just the path to the CD drive, and you will only need to select and open the CD drive to set the path. Use the Manage Remote Sources option to configure the remote source sites.

Passive FTP Transfer causes the local client program (Install Manager) to open the FTP connection. In non-passive mode the client program asks the remote server (source) for files and the remote server then opens the FTP connection. With a firewall the incoming non-passive connection may be blocked by the firewall as a possible incoming threat. Therefore, if you run your software behind a firewall you should make sure Passive FTP Transfer is checked, unless the FTP server you connected to does not support passive mode. Ftp.crosswire.org does support passive mode.

To set the remote site to CrossWire.org:
click Add,
then enter CrossWire for the Name,
ftp.crosswire.org for the Site Machine Name,
and /pub/sword/raw/ for the Repository Directory.
Click Save to save changes.

To get a fresh list of modules on the remote source,
Click the remote source Tab (CrossWire),
then click Refresh from Remote Source.
A hand pointing up in the list indicates a module that is an upgrade to one already installed.
A light in the list indicates a module that is new or has not been installed.
This pointer image in the list indicates a module that has been selected to be installed.

For information about an available module highlight (click) the module and click Info.

<<< WARNING >>> <<< WARNING >>>

Although Install Manager provides a convenient way for installing and upgrading SWORD components, it also uses a systematic method for accessing sites which gives packet sniffers a target to lock into for singling out users.

IF YOU LIVE IN A PERSECUTED COUNTRY AND DO NOT WISH TO RISK DETECTION, YOU SHOULD *NOT* USE INSTALL MANAGER'S REMOTE SOURCE FEATURES.

Manually Downloading Self-Installing Zip Files

Use this method only if you can not use Install Manager.

The module must be for Windows. If the new module is compressed (zipped), extract the files to a temporary folder. Run the program Setup.exe that is in the temporary folder where you extracted the files. Follow the instructions in the setup program. After the module is installed you can delete the files in the temporary folder.

Note: To use Zip files you need a program to do the extraction. If you don't have one. You can find a free one, CoffeeCup Free Zip Wizard, at: CoffeeCup.com or, Info-Zip's Wiz at: http://www.info-zip.org/pub/infozip/.

Manually Downloading RAW Zip files

Use this method only if the other methods fail or you have a very slow or bad modem connection.

RAW Zip files do not contain any setup program. You must place the extracted files from the RAW Zip file in the folders where they need to go. Each RAW Zip will contain a file with the extension ".conf". The conf file needs to be placed in the "mods.d" folder. The conf file is a text file and can be viewed in Notepad. In the conf file is a line that starts with "DataPath=". The DataPath shows where the other files in the RAW Zip need to go. You will probably have to create the folder at the end of the path. Some DataPaths end in a file name, not a folder name. The right folder is preceding the the last "/". In the DataPath "./modules/lexdict/rawld/demo/demo", you need to create a folder "demo" in the folder "rawld" and place the files there, but don't create another "demo" in "demo".

Download Sites

Modules can be downloaded from the following web site:

ftp://ftp.crosswire.org/pub/sword/modules/
or
http://www.crosswire.org/sword/modules/index.jsp


Source Code - The SWORD Project for Windows Help

Source Code Help

Download Source Code

The Source Code for The SWORD Project for Windows can be downloaded from:

ftp://ftp.crosswire.org/pub/sword/source/

A working Win32 binary can be downloaded from:

ftp://ftp.crosswire.org/pub/sword/frontend/win32/

The SWORD Project Developer's Corner is located at:

http://www.crosswire.org/sword/develop/index.jsp

  • SWORD API Primer

Module Creation Tutorials are located at:

http://sourceforge.net/docman/?group_id=9516

Other SWORD Project Based Software

Bible Reader for Palm -- Bible software for Palm and compatibles.
http://palmbible.sourceforge.net/index.html

BibleTime -- Bible software for Linux/Unix and KDE.
http://www.bibletime.de/

Diatheke -- An interface between other processes and The SWORD Project library.
http://www.crosswire.org/sword/diatheke/

Bible Web-Gateway -- Diatheke/CGI based.
http://www.crosswire.org/sword/bible/

GnomeSword -- Bible Study Software for Linux.
http://gnomesword.sourceforge.net/

irenaeus -- Bible study software that uses an ncurses or command line interface.
http://sourceforge.net/projects/irenaeus/

Sword/PDA -- A Bible program for Agenda PDA.
http://www.coconut-palm-software.com/~sword-pda/

Purpose Statement for The Open Software Model

In short, this open project is an effort to create an ever expanding software package for research and study of God and His Word. The Open Software Model is the basis of development, maximizing the rapid growth and features of this package. This is not a project that has been started 'from scratch', but instead seeks to leverage from the previous work of others. Many efforts have already been made in the likes of the collection and digitization of sources and determination of features beneficial for such a tool. All types of Biblical texts and helps, along with a system independent engine to retrieve such, plus a variety of front ends to bring this to as many users as possible, are the elements that this group desire-- and are committed-- to fuse together by the blessings of God for the creation of a study aide that will be wielded solely by the Holy Spirit to convey God's truths to all who implement the efforts of this project.

What's an Open Software Project?

Open Software Projects have been an effective way to develop quality software for many years.
  • "The system that makes this cooperative effort possible is called the GNU General Public License (GPL)... A piece of software that is declared by its author to be under the GPL is said to be copylefted, as opposed to copyrighted. Whenever a copylefted product is distributed, its source code must be available as well, so that any user of the product can alter it, recompile it, and reconfigure it ad infinitum. But any changes, fixes, or upgrades that are made to that source code must be placed back in the original product, with the source code of the new contribution. Thus the product continues to improve without being held by a single individual or company. Further, any individual or company can package and sell products that are under GPL, but they must still make the source code to the product available. Anyone who buys the product is free to recopy, alter, or redistribute the product as well, so long as the GPL is followed."

For some time, there has been made freely available a Bible software package, The Online Bible, written in Canada and once a primary distribution of an organization named Bible Foundation. This software has many useful features, and more useful texts, that have been adapted for use by this utility. The project, however, is very closed, and thus has not advanced at a pleasing pace. Many affiliated with Bible Foundation have expressed an interest in an open project that would allow the endowment of any and all programmers wishing to contribute to such.

With God's blessing, this project will incorporate the talents of all developers wishing to contribute their skills in the development of a software utility that will enable all people to come to a fuller understanding of God's word and will. This project will leverage on the efforts that have already been rendered by the authors of The Online Bible package in the collection of texts / sources and in the discovery and refinement of the features that users desire. This homepage will be the pivot point for publishing development designs, communications, task lists and associated group leaders and contributors along with open tasks needing developers, code in progress, and finished releases. Mass distribution capabilities of larger FTP sites will be sought for general public circulation.

So Who's Leading This Project?

  • There are many modularized components of this project, each with their own group leader/s. Each leader is free to take the direction that they see fit to accomplish the goals of the concurred design, being held accountable only to fellow developers, users, and of course God ;) (that should put a sense of responsibility in all of you! :) Startup efforts and this homepage are organized by Scribe, who may happen to be a group leader of a few of the core components, but should in no way be seen (or wishes to be seen) as the overall manager/owner of this project. This is a collaboration of the masses-- many parts of a body working together for a common purpose (wow, what an analogy :)!

Now, may the love of God fill you with all wisdom, peace, perseverance, talent, and a desire to serve Him, as you contribute or make use of these contributions of the Body of Christ.

Open Software Models

For more information on various "open software models" or "free software", (free as in freedom, not just gratis), see the following web sites:

GNU Project - Free Software Foundation - Categories of Free and Non-Free Software
GNU Project - Free Software Foundation - What is the Copyleft?
GNU Project - Free Software Foundation - GNU General Public License
GNU Project - Free Software Foundation - GNU Library General Public License
opensource.org - The Open Source Definition
mozilla.org - netscape public license and Netscape Public License FAQ
Debian - A Social Contract and bsd license
Troll Tech - The Q Public License


FAQs - The SWORD Project for Windows Help

Problems & FAQs

Problems

Please submit bug reports to:
sword-bugs@crosswire.org
Or
http://sourceforge.net/tracker/?atid=109516&group_id=9516&func=browse

View bug reports at:
http://sourceforge.net/tracker/?atid=109516&group_id=9516&func=browse

When submitting bug reports please provide as much of the following information as you are able and willing.

  • Describe the alleged bug. What happened or failed to happen?
  • Describe the steps to reproduce the bug.
  • List your system configuration.
    • processor
    • memory
    • Windows version
    • version of MSIE
  • Identify your version of The SWORD Project for Windows (from the Help/About Menu item).
  • And give contact information for follow up questions.

FAQs

Q. Why am I unable to display anything in the Bible, Commentary, or Dictionary windows?
A. You need at least one Bible module installed before there will be anything in the Bible window. Likewise for the other windows you need commentary and dictionary modules installed. Modules can be ordered on CD or downloaded from http://www.crosswire.org/sword/.

Q. Why is the module I downloaded not displaying correctly and is unreadable?
A. The module is probably locked. A locked modules needs a key before it can be read. Modules that are not in the public domain, and have no license to freely use them, are locked to protect the rights of the copyright holders.

Q. Why do the characters in some modules not look correct?
A. That module may need a special font. This should not be an issue for most modules. However, if you do not have good UniCode support you may want to try CODE2000 from http://home.att.net/~jameskass/. Our texts use Unicode fonts exclusively, many of which come with Windows, but are not necessarily installed by default, or complete. You may need to install language support. There is an option to do this on the control panel in a section called regional settings or languages options. Or you can install language support for Internet Explorer through its installer or Windows Update.

Q. I see boxes or question marks in the text.
A. You need better Unicode support. See previous Q&A.

Q. I get the error, "Warning: TZ environment variable not found, cannot use UTC times!!"
A. Ignore that error. It does not effect the installation of the module.

Q. I downloaded a module but it will not install.
A. You may have downloaded a wrong version of that module for your operating system, or there may have been an error while downloading. If the module partially installed before failing, you may need to delete that module’s .conf file in the mods.d directory.

Q. Why are some verses in some Bible modules numbered wrong?
A. Some Bible translations use different verse numbering systems. This creates problems when trying to use a Bible module that uses one system and a commentary that uses another. To make modules work together some may have been converted to another system. If you believe a verse is not numbered correctly, check it against a printed copy and against the KJV/AV, if it does not match one of those, please report the problem.

Snail Mail

  • The CrossWire Bible Society

    • P. O. Box 2528
    Tempe, AZ 85280-2528

Submit Feedback

  • sword-feedback@crosswire.org

Web Site

  • CrossWire Bible Society
  • The SWORD Project
  • The SWORD Project for Windows

Order CD

  • Order Information

Mailing Lists

  • CrossWire - Mailing Lists


About - The SWORD Project for Windows Help

The SWORD Project for Windows

v1.5.4
HH020926

(c) 2001, 2002, GNU GPL Copyleft

CrossWire Bible Society

http://www.crosswire.org/

The CrossWire Bible Society
P. O. Box 2528
Tempe, AZ 85280-2528